## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class NewDataSourceWizard

    java.lang.Object
      NewDataSourceWizardBase
          org.eclipse.datatools.connectivity.oda.design.ui.wizards.NewDataSourceWizard

public class NewDataSourceWizard
extends NewDataSourceWizardBase

The ODA data source wizard's public class that may be used directly or serves as the base class of the newWizard.class attribute defined in the `org.eclipse.datatools.connectivity.connectionProfile` extension point.
An ODA data source extension must also implement the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point to provide its custom wizard page.
All inherited methods are internal API.

See Also:
  Serialized Form

Constructor Summary
`NewDataSourceWizard()`
`NewDataSourceWizard(java.lang.String odaDataSourceId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewDataSourceWizard

    public NewDataSourceWizard(java.lang.String odaDataSourceId)
                        throws OdaException

### NewDataSourceWizard

    public NewDataSourceWizard()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.